import sys
import pcbnew
import os
import subprocess

pcbnew.GetBoard()
from pcbnew import *

class SimplePlugin(pcbnew.ActionPlugin):
    
    def defaults(self):
        self.name = "Text-Edit"
        self.category = "TextEditor"
        self.description = "Run TextEdit"
        self.show_toolbar_button = True # Optional, defaults to False
        self.icon_file_name = os.path.join(os.path.dirname(__file__), 'k_textEdit2.png') # Optional, defaults to ""

    def Run(self):
  # This next line works from Kicad!!!!!! plugin
        subprocess.call(['/usr/bin/open','/System/Applications/TextEdit.app'])

#        data_folder = dir("/Users/bruce/myJava_Out/")  # n/a

SimplePlugin().register() # Instantiate and register to Pcbnew

